Package: org.codehaus.groovy.transform.tailrec

## [Java] Class TernaryToIfStatementConverter

- org.codehaus.groovy.transform.tailrec.TernaryToIfStatementConverter

-     public class TernaryToIfStatementConverter
      extends Object

  Since a ternary statement has more than one exit point tail-recursiveness testing cannot be easily done. Therefore this class translates a ternary statement (or Elvis operator) into the equivalent if-else statement.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Statement` | `convert(ReturnStatement statementWithInnerTernaryExpression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### @SuppressWarnings("Instanceof")
      public Statement convert(ReturnStatement statementWithInnerTernaryExpression)